package course

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/service/course"
)

// CourseController 商品
type CourseController struct {
	dao *course.CourseServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *CourseController) Constructor() {
	c.dao = course.NewCourseServ(c.Context)
}
